notes0100= base flags: $[OPTIMIZE]
notes0110= additional C base flags: $[COPTIMIZE]
notes0120= additional C++ base flags: $[CXXOPTIMIZE]
notes0130= additional Fortran base flags: $[FOPTIMIZE]

default=default=default=default:
CC  = gcc
CXX = g++
FC  = gfortran
ASMOPT = -S -fverbose-asm

default=default=default=default:
notes25= PORTABILITY=-DSPEC_CPU_LP64 is applied to all benchmarks.
PORTABILITY = -DSPEC_CPU_LP64

400.perlbench=default=default=default:
notes35    = 400.perlbench: -DSPEC_CPU_LINUX_X64
EXTRA_CFLAGS = -DSPEC_CPU_LINUX_X64 -fno-strict-aliasing

436.cactusADM=default=default=default:
notes45= cactusADM: FPORTABILITY= -fno-second-underscore

416.gamess=default=default=default:
notes70= 416.gamess: EXTRA_FFLAGS= -ffixed-form notes72= 416.gamess: FPPFLAGS= -DSPEC_CPU_LINUX EXTRA_FFLAGS= -ffixed-form FPPPORTABILITY= -DSPEC_CPU_LINUX 

447.dealII=default=default=default:
srcalt = cstddef
CXXPORTABILITY= -include cstdlib -include cstring

456.hmmer=default=default=default:
notes55= 456.hmmer: -lm -funsigned-char
EXTRA_CFLAGS= -funsigned-char
EXTRA_LDFLAGS= -lm 

462.libquantum=default=default=default:
notes60= 462.libquantum: -DSPEC_CPU_LINUX EXTRA_CFLAGS=  -DSPEC_CPU_LINUX
EXTRA_CFLAGS=  -DSPEC_CPU_LINUX

464.h264ref=default=default=default:
EXTRA_LIBS= -lm

481.wrf=default=default=default:
PORTABILITY= -fno-second-underscore
CPORTABILITY=-DSPEC_CPU_LINUX -DSPEC_CPU_ENABLE_FORTRAN_TO_C -DSPEC_CPU_CASE_FLAG

483.xalancbmk=default=default=default:
EXTRA_CXXFLAGS= -DSPEC_CPU_LINUX
CXXPORTABILITY= -include cstdlib -include cstring

